WHICH(1)

NOME
which - localiza um comando

SINOPSE
which [-a] nome_de_ficheiro ...

DESCRIÇÃO
which retorna os nomes de caminho dos ficheiros (ou links) que podem ser executados no ambiente actual, tendo os seus argumentos sendo dados como comandos numa shell estritamente compatível com POSIX. Ele faz isto ao pesquisar a PATH por ficheiros executáveis que correspondem aos nomes dos argumentos. Não canoniza os nomes de caminho.

OPÇÕES

-a  escreve todos os nomes-de-caminho correspondentes de cada argumento

ESTADO AO TERMINAR

0   se todos os comandos especificados foram encontrados e são executáveis

1   se um ou mais comandos especificados são inexistentes ou não executáveis

2   se for especificada uma opção inválida